@if (componentData) {
  <div class="p-4 requirement-import-grid">
    <label class="label label__align_right">{{
      'sqtm-core.test-case-workspace.dialog.field.format' | translate
    }}</label>
    <div class="flex-column">
      <nz-select
        [attr.data-test-field-name]="'format'"
        [ngModel]="componentData.format"
      >
        @for (format of initializeImportFormat(); track format) {
          <nz-option
            [nzLabel]="format.label"
            [nzValue]="format.id"
            nzCustomContent
            >{{ format.label }}
          </nz-option>
        }
      </nz-select>
      <a
        [href]="
          './assets/sqtm-core/templates/import/requirement_import_template_xls.xls'
        "
        download="requirement_import_template_xls.xls"
      >
        {{
          'sqtm-core.test-case-workspace.dialog.message.download-xls-template'
            | translate
        }}
      </a>
    </div>
    <label class="label label__align_right">{{
      'sqtm-core.test-case-workspace.dialog.field.file' | translate
    }}</label>
    <div class="flex-column" style="margin: auto 0 auto 0">
      <sqtm-core-attachment-file-selector
        [displayButton]="true"
        [multiple]="false"
        (uploadFilesEvent)="addAttachment($event)"
        [restrictionFiles]="getRestrictionFiles()"
      >
        {{
          componentData.file
            ? componentData.file.name
            : ('sqtm-core.dialog.no-file-selected' | translate)
        }}
      </sqtm-core-attachment-file-selector>
      @if (wrongFileFormat) {
        <span
          [attr.data-test-dialog-span-id]="'wrong-format'"
          class="sqtm-core-error-message"
          >{{ getWrongFileKey() | translate }}</span
        >
      }
    </div>
  </div>
}
